Subject: Response to Bob Knighten's comments

From: [email-masked] (Cherri Pancake)
Date: Mon, 15 Feb 93 14:24:59 PST

Bob said:
?We would not even dream of trying to
>stadardized the way you might link routines produced by different language
>compilers! 

I don't think that's necessarily the goal of multilanguage support.  I
should be able to write a program that combines routines written in Fortran
and C, using MPI for the message-passing.  That does not mean that the
function calls look identical in the two source languages, nor that there
be a single set of library routines capable of servicing both.  But it
does mean that I should be able to send a message from a Fortran routine,
calling the Fortran library module, and receive it from a C routine that
uses the corresponding C library module.

Cherri Pancake